<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->
<ng-container *ngLet="(nodeAuditTrails$ | async) ?? [] as nodeAuditTrails">
  <div class="w-full h-full overflow-y-auto overflow-x-auto">
    <div class="px-1 w-full overflow-x-auto">
      <div class="text-text-300 text-sm mt-2">Data Broker Activity</div>
      <div class="font-semibold text-lg">Audit Trails:</div>
      <app-audit-trails-table
        [auditTrails]="nodeAuditTrails"
        [compact]="true"
        (onStatusChange)="onStatusChange($event)"
        (onRefresh)="onRefresh()"
      ></app-audit-trails-table>
    </div>
    <div *ngIf="nodeAuditTrails.length > 0" class="mt-5 pb-6">
      <p-button label="Show more..." [link]="true" (onClick)="showMore()"></p-button>
    </div>
  </div>
</ng-container>
